/**
 * TERMS OF USE - EASING EQUATIONS
 * Open source under the BSD License.
 *
 * Copyright © 2001 Robert Penner
 * All rights reserved.
 * Redistribution and use in source and binary forms, with or without modification, are permitted
 * provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice, this list of conditions
 * and the following disclaimer.
 *
 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions
 * and the following disclaimer in the documentation and/or other materials provided with the
 * distribution.
 *
 * Neither the name of the author nor the names of contributors may be used to endorse or promote
 * products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
export declare class RoundProgressEase {
    linearEase(t: number, b: number, c: number, d: number): number;
    easeInQuad(t: number, b: number, c: number, d: number): number;
    easeOutQuad(t: number, b: number, c: number, d: number): number;
    easeInOutQuad(t: number, b: number, c: number, d: number): number;
    easeInCubic(t: number, b: number, c: number, d: number): number;
    easeOutCubic(t: number, b: number, c: number, d: number): number;
    easeInOutCubic(t: number, b: number, c: number, d: number): number;
    easeInQuart(t: number, b: number, c: number, d: number): number;
    easeOutQuart(t: number, b: number, c: number, d: number): number;
    easeInOutQuart(t: number, b: number, c: number, d: number): number;
    easeInQuint(t: number, b: number, c: number, d: number): number;
    easeOutQuint(t: number, b: number, c: number, d: number): number;
    easeInOutQuint(t: number, b: number, c: number, d: number): number;
    easeInSine(t: number, b: number, c: number, d: number): number;
    easeOutSine(t: number, b: number, c: number, d: number): number;
    easeInOutSine(t: number, b: number, c: number, d: number): number;
    easeInExpo(t: number, b: number, c: number, d: number): number;
    easeOutExpo(t: number, b: number, c: number, d: number): number;
    easeInOutExpo(t: number, b: number, c: number, d: number): number;
    easeInCirc(t: number, b: number, c: number, d: number): number;
    easeOutCirc(t: number, b: number, c: number, d: number): number;
    easeInOutCirc(t: number, b: number, c: number, d: number): number;
    easeInElastic(t: number, b: number, c: number, d: number): number;
    easeOutElastic(t: number, b: number, c: number, d: number): number;
    easeInOutElastic(t: number, b: number, c: number, d: number): number;
    easeInBack(t: number, b: number, c: number, d: number, s?: number): number;
    easeOutBack(t: number, b: number, c: number, d: number, s?: number): number;
    easeInOutBack(t: number, b: number, c: number, d: number, s?: number): number;
    easeInBounce(t: number, b: number, c: number, d: number): number;
    easeOutBounce(t: number, b: number, c: number, d: number): number;
    easeInOutBounce(t: number, b: number, c: number, d: number): number;
}
